.custom_header {
  width: 100%;
  position: sticky;
  top: 0;
  z-index: 999;
  background: #ffffff;
  box-shadow: 0px 2px 10px #bb000066;
}

/* =========================================
TOP BAR
========================================= */

.custom_header .custom_header__topbar {
  background: #ffffff;
  border-bottom: 1px solid #ececec;
  padding: 5px 0px;
}

.custom_header .custom_header__topbar_wrapper {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.custom_header .custom_header__topbar_wrapper .custom_header__topbar_left {
  width: 81%;
}

.custom_header .custom_header__topbar_text {
  margin-bottom: 0px;
  font-size: 12px;
  color: #d10000;
  font-weight: 600;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}

.custom_header .custom_header__social_list {
  display: flex;
  align-items: center;
  gap: 8px;
  margin: 0;
  padding: 0;
  list-style: none;
}

.custom_header .custom_header__social_item {
  width: 22px;
  height: 22px;
  border-radius: 50%;
  background: #1a1a1a;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

.custom_header__social_item .social_media_link {
  display: flex;
}

.custom_header .custom_header__social_icon {
  color: #ffffff;
  font-size: 10px;
}

/* =========================================
MIDDLE HEADER
========================================= */

.custom_header .custom_header__middle {
  padding: 10px 0px;
  background: #ffffff;
  box-shadow: inset 0px 0px 6px #00000038;
}

.custom_header .custom_header__middle_wrapper {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 20px;
}

.custom_header .custom_header__logo_section {
  width: 180px;
  height: 50px;
}

.custom_header .custom_header__logo {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

/* SEARCH */

.custom_header .custom_header__search_section {
  width: 45%;
}

.custom_header .custom_header__search_group {
  border-radius: 4px;
  background: #f5f5f5 0% 0% no-repeat padding-box;
  border: 1px solid #70707029;
  overflow: hidden;
}

.custom_header .custom_header__search_input {
  border: none !important;
  box-shadow: none !important;
  background: transparent;
  height: 100%;
  font-size: 15px;
}

.custom_header .custom_header__search_btn {
  width: 31px;
  height: 32px;
  aspect-ratio: 1/1;
  background: #1a1a1a;

  color: #ffffff;
  display: flex;
  align-items: center;
  justify-content: center;
}

/* ACTION */

.custom_header .custom_header__action_section {
  display: flex;
  align-items: center;
  gap: 20px;
}

.custom_header .custom_header__call_box {
  display: flex;
  align-items: center;
  gap: 10px;
}

.custom_header .custom_header__call_icon {
  background: #1a1a1a;
  color: #ffffff;
  padding: 3px;
  border-radius: 50%;
  font-size: 15px;
  margin-right: 3px;
}

.custom_header .custom_header__call_title {
  margin-bottom: 2px;
  font-size: 13px;
  color: #1a1a1a;
  font-weight: 600;
}

.custom_header .custom_header__call_number {
  margin-bottom: 0px;
  font-size: 14px;
  font-weight: 600;
}

.custom_header .custom_header__divider {
  width: 1px;
  height: 40px;
  background: #d9d9d9;
}

/* =========================================
BOTTOM HEADER
========================================= */

.custom_header .custom_header__bottom {
  background: #ffeaea;
  box-shadow: 0px 3px 6px rgba(255, 0, 0, 0.1);
}

.custom_header .custom_header__bottom_wrapper {
  display: flex;
  align-items: center;
  gap: 20px;
}

/* =========================================
SERVICE BUTTON
========================================= */

.custom_header .custom_header__service_btn {
  display: flex;
  align-items: center;
  gap: 8px;
  cursor: pointer;
  border-radius: 4px;
  transition: 0.3s;
}

.custom_header .custom_header__service_icon {
  font-size: 18px;
  color: #1a1a1a;
}

.custom_header .custom_header__nav_link.active .custom_header__service_icon {
  font-weight: 600;
  color: #c70000;
}

.custom_header .custom_header__service_text {
  font-size: 16px;
  font-weight: 500;
  color: #1a1a1a;
}

.custom_header .custom_header__service_btn.active .custom_header__service_text {
  font-weight: 600;
  color: #c70000;
}

/* =========================================
MEGA MENU DESKTOP ONLY
========================================= */

.custom_header .custom_header__mega_menu {
  position: absolute;
  top: 138px;
  left: 0;
  width: 100%;
  background: #f8f8f8;
  padding: 25px;
  box-shadow: inset 0px 3px 6px rgb(255 0 0 / 31%);
  opacity: 0;
  visibility: hidden;
  transform: translateY(10px);
  transition: 0.3s;
  z-index: 9999;
}

.custom_header .custom_header__mega_menu.active {
  opacity: 1;
  visibility: visible;
  transform: translateY(0px);
}

.custom_header .custom_header__mega_menu_inner {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: 20px;
}

.custom_header .navbar {
  padding: 0px 0 !important;
}

.custom_header .custom_header__mega_column {
  border-right: 1px solid #f0c5c5;
  padding-right: 20px;
}

.custom_header .custom_header__mega_column:last-child {
  border-right: none;
}

.custom_header .custom_header__mega_title {
  font-size: 15px;
  color: #bb0000;
  font-weight: 600;
  margin-bottom: 18px;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
  width: 200px;
}

.custom_header .custom_header__mega_list {
  list-style: none;
  margin: 0;
  padding: 0;
}

.custom_header__mega_item {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 8px 10px;
  border-radius: 1px;
  cursor: pointer;
  transition: 0.3s;
}

.custom_header__mega_item:hover,
.custom_header__mega_item:active,
.custom_header__mega_item.active {
  background: #fee6e6;
  padding: 8px 12px 8px 20px;
  transition: 0.3s;
}

.custom_header__mega_item span {
  font-size: 15px;
  font-weight: 500;
  color: #000;
  width: 180px;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}

.custom_header__mega_arrow {
  font-size: 12px;
  color: #000;
}

/* NAV */

.custom_header .custom_header__nav {
  display: flex;
  align-items: center;
  gap: 25px;
}

.custom_header .custom_header__nav_link {
  text-decoration: none;
  font-size: 15px;
  font-weight: 500;
  color: #1a1a1a;
  cursor: pointer;
}

.custom_header .custom_header__nav_link.active {
  color: #c70000;
  font-weight: 600;
  text-decoration: underline !important;
  text-underline-position: under;
}

/* =========================================
RIGHT SECTION
========================================= */

.custom_header .navbar-collapse {
  justify-content: space-between;
}

.custom_header .custom_header__language_section {
  display: flex;
  align-items: center;
  gap: 20px;
}

.custom_header .custom_header__country_box {
  display: flex;
  align-items: center;
  gap: 6px;
  cursor: pointer;
}

.custom_header .custom_header__location_text,
.custom_header .custom_header__country_text {
  font-size: 15px;
  font-weight: 500;
}

.custom_header .custom_header__country_flag {
  width: 24px;
  height: 16px;
}

.custom_header .custom_header__dropdown_icon {
  font-size: 13px;
}

/* LANGUAGE */

.custom_header .custom_header__language_dropdown {
  position: relative;
}

.custom_header .custom_header__language_menu {
  position: absolute;
  top: 35px;
  right: 0;
  width: 220px;
  background: #ffffff;
  padding: 12px;
  border-radius: 5px;
  box-shadow: 0px 10px 25px rgba(0, 0, 0, 0.15);
  z-index: 999;
}

.custom_header .custom_header__language_title {
  font-size: 16px;
  color: #c70000;
  font-weight: 700;
  margin-bottom: 10px;
}

.custom_header .custom_header__language_item {
  display: flex;
  align-items: center;
  gap: 10px;
  padding: 8px;
  border-radius: 4px;
  cursor: pointer;
}

.custom_header .custom_header__language_item.active,
.custom_header .custom_header__language_item:hover {
  background: #f1f1f1;
}

/* =========================================
OFFCANVAS MOBILE ONLY
========================================= */

.custom_header__service_offcanvas {
  width: 320px !important;
  background: #fffdfd;
}

.custom_header__service_offcanvas .custom_header__offcanvas_header {
  background: #c70000;
  padding: 3%;
}

.custom_header__service_offcanvas .custom_header__offcanvas_header .btn-close {
  filter: invert(1);
  opacity: 1;
}

.custom_header__service_offcanvas .custom_header__offcanvas_heading {
  color: #ffffff;
  font-size: 22px;
  font-weight: 700;
}

.custom_header__service_offcanvas .custom_header__offcanvas_body {
  padding: 2%;
  background: #fffdfd;
}

.custom_header__service_offcanvas .custom_header__offcanvas_section {
  margin-bottom: 25px;
}

.custom_header__service_offcanvas .custom_header__offcanvas_title {
  font-size: 16px;
  font-weight: 700;
  color: #c70000;
  margin-bottom: 15px;
  padding-bottom: 8px;
  border-bottom: 2px solid #ffe1e1;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.custom_header__service_offcanvas .custom_header__offcanvas_list {
  list-style: none;
  margin: 0;
  padding: 0;
}

.custom_header__service_offcanvas .custom_header__offcanvas_item {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background: #fff5f5;
  border: 1px solid #ffe2e2;
  border-radius: 2px;
  padding: 5px;
  margin-bottom: 5px;
  cursor: pointer;
  transition: 0.3s;
}

.custom_header__service_offcanvas
  .custom_header__offcanvas_item
  .custom_header__offcanvas_link {
  justify-content: space-between;
  display: flex;
  width: 100%;
  color: #000;
}

.custom_header__service_offcanvas .custom_header__offcanvas_item:hover {
  background: #f8dede;
}

.custom_header__service_offcanvas .custom_header__offcanvas_item span {
  font-size: 14px;
  font-weight: 500;
  color: #000;
}

/* MOBILE TOGGLE */

.custom_header .custom_header__mobile_toggle {
  display: none;
  font-size: 21px;
  cursor: pointer;
  border: none;
  padding: 0px;
}

.custom_header .custom_header__mobile_toggle:focus {
  box-shadow: none;
}

.custom_header .Customize_Btn_div .Customize_Btn {
  border-radius: 0px;
}

/* =========================================
RESPONSIVE
========================================= */

@media (max-width: 991px) {
  .custom_header .main_custom_header__bottom_wrapper .navbar-collapse {
    flex-wrap: wrap-reverse;
  }

  .custom_header .custom_header__middle_wrapper {
    flex-wrap: wrap;
  }

  .custom_header .custom_header__service_btn {
    padding: 0px;
  }

  .custom_header .custom_header__bottom_wrapper {
    width: 100%;
    justify-content: space-between;
  }

  .custom_header .custom_header__search_section {
    width: 100%;
    order: 3;
  }

  .custom_header .custom_header__divider {
    display: none;
  }

  .custom_header .custom_header__mobile_toggle {
    display: block;
  }

  .custom_header .custom_header__nav {
    flex-direction: column;
    align-items: flex-start;
    gap: 0px;
  }

  /* HIDE DESKTOP MEGA MENU */

  .custom_header .custom_header__mega_menu {
    display: none !important;
  }  .custom_header .navbar {
    padding: 4px 0 !important;
  }
}

@media (min-width: 992px) {
  /* HIDE MOBILE OFFCANVAS */
  .custom_header__service_offcanvas {
    display: none;
  }

}

@media (max-width: 575px) {
  .custom_header .Customize_Btn_div .Customize_Btn {
    font-size: 11px !important;
    padding: 4px 3px;
    border-radius: 0px;
  }

  .custom_header .custom_header__logo_section {
    width: 100px;
    height: 30px;
  }

  .custom_header .custom_header__topbar_text {
    font-size: 11px;
  }

  .custom_header .custom_header__call_title,
  .custom_header .custom_header__call_number {
    font-size: 10px;
  }

  .custom_header__service_offcanvas {
    width: 280px !important;
  }
}

@media (min-width: 992px) and (max-width: 1199px) {
  .custom_header .custom_header__mega_title {
    width: 130px;
    font-size: 14px;
  }

  .custom_header__mega_item span {
    width: 120px;
    font-size: 13px;
  }
}

@media (min-width: 1200px) and (max-width: 1399px) {
  .custom_header .custom_header__mega_title {
    width: 177px;
  }

  .custom_header__mega_item span {
    width: 160px;
  }
}
